GetPanelConfiguration
curl --request GET \
--url https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}PanelConfigurationService
GetPanelConfiguration
Retrieves a panel configuration.
GET
/
api
/
v1
/
panel-configurations
/
{panelConfigurationId}
GetPanelConfiguration
curl --request GET \
--url https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/panel-configurations/{panelConfigurationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I